Skip to main content

Prompt Recordings

Assign prompts to campaigns

Professional prompt recordings can be assigned to advertiser campaigns. The prompts uploaded at Network level can be assigned to any advertiser campaign from that network. The prompts at Advertiser level can be assigned only to the campaigns of that specific advertiser.

Retrieve available prompts

It’s possible to retrieve all the prompts assigned to a network or an advertiser. The attributes returned for a prompt are: Example: Network prompt recordings GET https://invoca.net/api/@@NETWORK_API_VERSION/<network_id>.json Response
Example: Advertiser prompt recordings GET https://invoca.net/api/@@NETWORK_API_VERSION/<network_id>/advertisers/<advertiser_id_from_network>.json Response

Assign prompt to advertiser campaign

A prompt can be assigned to an advertiser campaign IVR tree by specifying its id_from_network at the specific node. The same request can be used to assign a new prompt or replace an existing one. Example: assign prompt recording POST https://invoca.net/api/@@NETWORK_API_VERSION/<network_id>/advertisers/<advertiser_id_from_network>/advertiser_campaigns/<advertiser_campaign_id_from_network>.json Request Body
Example: list the prompts by retrieving the advertiser campaign GET https://invoca.net/api/@@NETWORK_API_VERSION/<network_id>/advertisers/<advertiser_id_from_network>/advertiser_campaigns/<advertiser_campaign_id_from_network>.json Response (complete response not shown)
Example: remove prompt recording from a campaign Just specify an empty id_from_network and the prompt will get unassigned from the campaign. POST https://invoca.net/api/@@NETWORK_API_VERSION/<network_id>/advertisers/<advertiser_id_from_network>/advertiser_campaigns/<advertiser_campaign_id_from_network>.json Request Body
Last modified on August 18, 2026